=== debian/changelog ===
leptonlib (1.74.4-1) unstable; urgency=medium

  * New upstream release

 -- Jeff Breidenbach <jab@debian.org>  Thu, 27 Jul 2017 16:05:34 -0700
