## leptonlib 1.75.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -41,8 +41,8 @@
 project(leptonica C CXX)
 
 set(VERSION_MAJOR 1)
-set(VERSION_MINOR 74)
-set(VERSION_PATCH 4)
+set(VERSION_MINOR 75)
+set(VERSION_PATCH 3)
 set(VERSION_PLAIN ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH})
 
 option(BUILD_PROG "Build utility programs" OFF)
