=== prog/CMakeLists.txt ===
--- 
+++ 
@@ -36,6 +36,7 @@
 add_prog_target(blend2_reg blend2_reg.c)
 add_prog_target(blend3_reg blend3_reg.c)
 add_prog_target(blend4_reg blend4_reg.c)
+add_prog_target(blend5_reg blend5_reg.c)
 add_prog_target(boxa1_reg boxa1_reg.c)
 add_prog_target(boxa2_reg boxa2_reg.c)
 add_prog_target(ccthin1_reg ccthin1_reg.c)
@@ -65,6 +66,7 @@
 add_prog_target(equal_reg equal_reg.c)
 add_prog_target(expand_reg expand_reg.c)
 add_prog_target(extrema_reg extrema_reg.c)
+add_prog_target(falsecolor_reg falsecolor_reg.c)
 add_prog_target(fhmtauto_reg fhmtauto_reg.c)
 add_prog_target(files_reg files_reg.c)
 add_prog_target(findcorners_reg findcorners_reg.c)
@@ -83,6 +85,7 @@
 add_prog_target(heap_reg heap_reg.c)
 add_prog_target(insert_reg insert_reg.c)
 add_prog_target(ioformats_reg ioformats_reg.c)
+add_prog_target(italic_reg italic_reg.c)
 add_prog_target(jbclass_reg jbclass_reg.c)
 add_prog_target(jp2kio_reg jp2kio_reg.c)
 add_prog_target(jpegio_reg jpegio_reg.c)
@@ -121,6 +124,7 @@
 add_prog_target(pta_reg pta_reg.c)
 add_prog_target(ptra1_reg ptra1_reg.c)
 add_prog_target(ptra2_reg ptra2_reg.c)
+add_prog_target(quadtree_reg quadtree_reg.c)
 add_prog_target(rankbin_reg rankbin_reg.c)
 add_prog_target(rankhisto_reg rankhisto_reg.c)
 add_prog_target(rank_reg rank_reg.c)
@@ -191,7 +195,6 @@
 add_prog_target(displaypix displaypix.c)
 add_prog_target(displaypixa displaypixa.c)
 add_prog_target(dwalineargen dwalineargen.c)
-add_prog_target(falsecolortest falsecolortest.c)
 add_prog_target(fcombautogen fcombautogen.c)
 add_prog_target(fhmtautogen fhmtautogen.c)
 add_prog_target(fileinfo fileinfo.c)
@@ -204,14 +207,12 @@
 add_prog_target(fmorphautogen fmorphautogen.c)
 add_prog_target(fpixcontours fpixcontours.c)
 add_prog_target(gammatest gammatest.c)
-add_prog_target(gifio_leaktest gifio_leaktest.c)
 add_prog_target(graphicstest graphicstest.c)
 add_prog_target(graymorphtest graymorphtest.c)
 add_prog_target(hashtest hashtest.c)
 add_prog_target(histotest histotest.c)
 add_prog_target(htmlviewer htmlviewer.c)
 add_prog_target(iotest iotest.c)
-add_prog_target(italictest italictest.c)
 add_prog_target(jbcorrelation jbcorrelation.c)
 add_prog_target(jbrankhaus jbrankhaus.c)
 add_prog_target(jbwords jbwords.c)
@@ -243,7 +244,6 @@
 add_prog_target(printimage printimage.c)
 add_prog_target(printsplitimage printsplitimage.c)
 add_prog_target(printtiff printtiff.c)
-add_prog_target(quadtreetest quadtreetest.c)
 add_prog_target(rbtreetest rbtreetest.c)
 add_prog_target(recog_bootnum recog_bootnum.c)
 add_prog_target(recogsort recogsort.c)
@@ -271,4 +271,4 @@
 add_prog_target(sheartest sheartest.c)
 add_prog_target(showedges showedges.c)
 add_prog_target(skewtest skewtest.c)
-add_prog_target(snapcolortest snapcolortest.c)
+add_prog_target(sorttest sorttest.c)
