=== src/CMakeLists.txt ===
--- 
+++ 
@@ -14,12 +14,17 @@
     set_source_files_properties(${src} PROPERTIES LANGUAGE CXX)
 endif()
 
+string(REPLACE "-O3" "-O2" CMAKE_C_FLAGS_RELEASE ${CMAKE_C_FLAGS_RELEASE})
+
 add_library                     (leptonica ${LIBRARY_TYPE} ${src} ${hdr})
 set_target_properties           (leptonica PROPERTIES VERSION   ${VERSION_PLAIN})
-set_target_properties           (leptonica PROPERTIES SOVERSION 5.1.0)
+set_target_properties           (leptonica PROPERTIES SOVERSION 5.2.0)
 if (WIN32)
 set_target_properties           (leptonica PROPERTIES OUTPUT_NAME       leptonica-${VERSION_PLAIN})
 set_target_properties           (leptonica PROPERTIES DEBUG_OUTPUT_NAME leptonica-${VERSION_PLAIN}d)
+else()
+set_target_properties           (leptonica PROPERTIES OUTPUT_NAME       leptonica)
+set_target_properties           (leptonica PROPERTIES DEBUG_OUTPUT_NAME leptonica)
 endif()
 
 if (NOT STATIC)
@@ -27,24 +32,31 @@
 endif()
 
 if (GIF_LIBRARY)
+    target_include_directories  (leptonica PUBLIC ${GIF_INCLUDE_DIR})
     target_link_libraries       (leptonica ${GIF_LIBRARY})
 endif()
 if (JPEG_LIBRARY)
+    target_include_directories  (leptonica PUBLIC ${JPEG_INCLUDE_DIR})
     target_link_libraries       (leptonica ${JPEG_LIBRARY})
 endif()
 if (JP2K_FOUND)
+    target_include_directories  (leptonica PUBLIC ${JP2K_INCLUDE_DIR})
     target_link_libraries       (leptonica ${JP2K_LIBRARIES})
 endif()
 if (PNG_LIBRARY)
+    target_include_directories  (leptonica PUBLIC ${PNG_INCLUDE_DIRS})
     target_link_libraries       (leptonica ${PNG_LIBRARY})
 endif()
 if (TIFF_LIBRARY)
+    target_include_directories  (leptonica PUBLIC ${TIFF_INCLUDE_DIR})
     target_link_libraries       (leptonica ${TIFF_LIBRARY})
 endif()
 if (WEBP_FOUND)
+    target_include_directories  (leptonica PUBLIC ${WEBP_INCLUDE_DIR})
     target_link_libraries       (leptonica ${WEBP_LIBRARIES})
 endif()
 if (ZLIB_LIBRARY)
+    target_include_directories  (leptonica PUBLIC ${ZLIB_INCLUDE_DIR})
     target_link_libraries       (leptonica ${ZLIB_LIBRARY})
 endif()
