=== debian/changelog ===
leptonlib (1.75.3-3) unstable; urgency=medium

  * Apply fix for CVE-2018-7440 (closes: #81932)

 -- Jeff Breidenbach <jab@debian.org>  Fri, 02 Mar 2018 12:04:13 -0800

leptonlib (1.75.3-2) unstable; urgency=medium

  * Fix fscanf buffer overflow (closes: #890548)

 -- Jeff Breidenbach <jab@debian.org>  Fri, 16 Feb 2018 15:26:11 -0800

leptonlib (1.75.3-1) unstable; urgency=medium

  * New upstream release
  * Includes gPlotMakeOutput security fix (closes: #889759)

 -- Jeff Breidenbach <jab@debian.org>  Thu, 15 Feb 2018 10:36:53 -0800

leptonlib (1.74.4-2) unstable; urgency=medium

  * Remove some path weirdness involving TMPDIR (closes: #885704)

 -- Jeff Breidenbach <jab@debian.org>  Wed, 03 Jan 2018 10:41:08 -0800
