## leptonlib 1.76.0

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -18,7 +18,7 @@
 
 add_library                     (leptonica ${LIBRARY_TYPE} ${src} ${hdr})
 set_target_properties           (leptonica PROPERTIES VERSION   ${VERSION_PLAIN})
-set_target_properties           (leptonica PROPERTIES SOVERSION 5.2.0)
+set_target_properties           (leptonica PROPERTIES SOVERSION 5.3.0)
 if (WIN32)
 set_target_properties           (leptonica PROPERTIES OUTPUT_NAME       leptonica-${VERSION_PLAIN})
 set_target_properties           (leptonica PROPERTIES DEBUG_OUTPUT_NAME leptonica-${VERSION_PLAIN}d)
@@ -72,7 +72,7 @@
         pvt.cppan.demo.jpeg
         pvt.cppan.demo.png
         pvt.cppan.demo.tiff
-        pvt.cppan.demo.webp
+        pvt.cppan.demo.webmproject.webp
         pvt.cppan.demo.openjpeg.openjp2
     )
     file(WRITE ${CMAKE_BINARY_DIR}/LeptonicaTargets.cmake "include(${CMAKE_BINARY_DIR}/cppan.cmake)\n")
