=== debian/changelog ===
leptonlib (1.76.0-1~mx17+1) mx; urgency=medium

  * Repackaged for MX 17.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Tue, 02 Oct 2018 17:11:13 -0700

leptonlib (1.76.0-1) unstable; urgency=medium

  * New upstream release
  * Resolves CVE-2018-7442 CVE-2018-7247 CVE-2018-7441

 -- Jeff Breidenbach <jab@debian.org>  Thu, 10 May 2018 12:47:10 -0700

leptonlib (1.75.3-4) unstable; urgency=medium

  * Simplify debian/rules, enable dh-autoreconf (closes #895864)
  * Thank you to Manuel A. Fernandez Montecelo.

 -- Jeff Breidenbach <jab@debian.org>  Mon, 23 Apr 2018 22:40:05 +0200
