=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: leptonlib
 Priority: optional
-Maintainer: Jeff Breidenbach <jab@debian.org>
-Build-Depends: debhelper (>= 5.0.0), libtiff-dev, libpng-dev, libgif-dev (>= 4.1.6), libwebp-dev  (>= 0.4.0), libopenjp2-7-dev, dh-autoreconf, automake
-Standards-Version: 3.9.8
+Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
+XSBC-Original-Maintainer: Jeff Breidenbach <jab@debian.org>
+Build-Depends: debhelper (>= 5.0.0), libtiff-dev, libpng-dev, libgif-dev (>= 4.1.6), libwebp-dev (>= 0.4.0), libopenjp2-7-dev, dh-autoreconf, automake, pkg-config
+Standards-Version: 4.1.3
 Section: graphics
 
 Package: libleptonica-dev
