=== debian/rules ===
#!/usr/bin/make -f

RELEASE := $(DEB_DISTRIBUTION)

%:
	dh $@

override_dh_installman:
	dh_installman -p leptonica-progs debian/leptonica.3

override_dh_strip:
	if [ "$(RELEASE)" != "UNRELEASED" ]; then \
		dh_strip --no-automatic-dbgsym ;\
	else \
		dh_strip --no-automatic-dbgsym ;\
	fi
