## leptonlib 1.78.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -11,7 +11,7 @@
 cmake_minimum_required(VERSION 2.8.11)
 
 # In-source builds are disabled.
-if (${CMAKE_SOURCE_DIR} STREQUAL ${CMAKE_BINARY_DIR})
+if ("${CMAKE_CURRENT_SOURCE_DIR}" STREQUAL "${CMAKE_CURRENT_BINARY_DIR}")
     message(FATAL_ERROR
         "CMake generation is not possible within the source directory!"
         "\n Remove the CMakeCache.txt file and try again from another folder, e.g.:"
@@ -23,9 +23,9 @@
     )
 endif()
 
-set(CMAKE_MODULE_PATH "${CMAKE_MODULE_PATH};${CMAKE_SOURCE_DIR}/cmake")
+set(CMAKE_MODULE_PATH "${CMAKE_MODULE_PATH};${CMAKE_CURRENT_SOURCE_DIR}/cmake")
 
-set(EXECUTABLE_OUTPUT_PATH "${CMAKE_BINARY_DIR}/bin")
+set(EXECUTABLE_OUTPUT_PATH "${CMAKE_CURRENT_BINARY_DIR}/bin")
 set(CMAKE_RUNTIME_OUTPUT_DIRECTORY "${EXECUTABLE_OUTPUT_PATH}")
 
 # Use solution folders.
@@ -41,8 +41,8 @@
 project(leptonica C CXX)
 
 set(VERSION_MAJOR 1)
-set(VERSION_MINOR 75)
-set(VERSION_PATCH 3)
+set(VERSION_MINOR 78)
+set(VERSION_PATCH 0)
 set(VERSION_PLAIN ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH})
 
 option(BUILD_PROG "Build utility programs" OFF)
@@ -53,13 +53,43 @@
     find_package(PNG)
     find_package(TIFF)
     find_package(ZLIB)
+    find_package(PkgConfig)
+    if (PKG_CONFIG_FOUND)
+        pkg_check_modules(WEBP libwebp)
+        pkg_check_modules(JP2K libopenjp2)
+    endif()
+    if(NOT WEBP)
+        message(STATUS "Looking for WEBP")
+        find_path(WEBP_INCLUDE_DIR /webp/decode.h)
+        find_library(WEBP_LIBRARY NAMES webp)
+        if (WEBP_INCLUDE_DIR AND WEBP_LIBRARY)
+            set(WEBP 1)
+            set(WEBP_FOUND TRUE)
+            set(WEBP_LIBRARIES ${WEBP_LIBRARY})
+            set(WEBP_INCLUDE_DIRS ${WEBP_INCLUDE_DIR})
+            message(STATUS "Found WEBP library: ${WEBP_LIBRARY}")
+        endif()
+    endif()
+    if(NOT JP2K)
+        find_path(JP2K_INCLUDE_DIR /openjpeg-2.3/openjpeg.h)
+        find_library(JP2K_LIBRARY NAMES openjp2)
+        # we need to prepend subdirs (on windows only?)
+        if (JP2K_INCLUDE_DIR)
+            set(JP2K_HEADER "openjpeg-2.3/openjpeg.h")
+        else()
+            set(JP2K_HEADER "openjpeg.h")
+        endif()
+        if (JP2K_INCLUDE_DIR AND JP2K_LIBRARY)
+             set(JP2K 1)
+             set(JP2K_FOUND TRUE)
+             set(JP2K_LIBRARIES ${JP2K_LIBRARY})
+             set(JP2K_INCLUDE_DIRS ${JP2K_INCLUDE_DIR})
+             set(HAVE_LIBJP2K 1)
+             add_definitions( -DLIBJP2K_HEADER="${JP2K_HEADER}")
+             message(STATUS "Found openjpeg library: ${JP2K_LIBRARIES}")
+        endif()
+    endif()
 
-    find_package(PkgConfig)
-
-    if (PKG_CONFIG_FOUND)
-    pkg_check_modules(WEBP libwebp)
-    pkg_check_modules(JP2K libopenjp2)
-    endif()
 else()
     add_subdirectory(.cppan)
 
@@ -82,6 +112,10 @@
 #
 ###############################################################################
 
+if(CMAKE_CXX_COMPILER_ID MATCHES "Clang")
+  set(CLANG 1)
+endif()
+
 set(LIBRARY_TYPE SHARED)
 if (STATIC)
     set(LIBRARY_TYPE)
@@ -91,7 +125,9 @@
     if (MSVC)
         add_definitions(-D_CRT_SECURE_NO_WARNINGS)
         set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /W1")
-        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /MP")
+        if (NOT CLANG)
+            set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /MP")
+        endif()
     endif()
 endif()
 
@@ -101,8 +137,8 @@
 #
 ###############################################################################
 
-set(AUTOCONFIG_SRC ${CMAKE_BINARY_DIR}/config_auto.h.in)
-set(AUTOCONFIG ${CMAKE_BINARY_DIR}/src/config_auto.h)
+set(AUTOCONFIG_SRC ${CMAKE_CURRENT_BINARY_DIR}/config_auto.h.in)
+set(AUTOCONFIG ${CMAKE_CURRENT_BINARY_DIR}/src/config_auto.h)
 
 include(Configure)
 
@@ -111,11 +147,11 @@
 set(INCLUDE_DIR "${CMAKE_INSTALL_PREFIX}/include" "${CMAKE_INSTALL_PREFIX}/include/leptonica")
 
 configure_file(
-    ${CMAKE_SOURCE_DIR}/cmake/templates/LeptonicaConfig-version.cmake.in
-    ${CMAKE_BINARY_DIR}/LeptonicaConfig-version.cmake @ONLY)
+    ${CMAKE_CURRENT_SOURCE_DIR}/cmake/templates/LeptonicaConfig-version.cmake.in
+    ${CMAKE_CURRENT_BINARY_DIR}/LeptonicaConfig-version.cmake @ONLY)
 configure_file(
-    ${CMAKE_SOURCE_DIR}/cmake/templates/LeptonicaConfig.cmake.in
-    ${CMAKE_BINARY_DIR}/LeptonicaConfig.cmake @ONLY)
+    ${CMAKE_CURRENT_SOURCE_DIR}/cmake/templates/LeptonicaConfig.cmake.in
+    ${CMAKE_CURRENT_BINARY_DIR}/LeptonicaConfig.cmake @ONLY)
 
 ###############################################################################
 #
@@ -140,8 +176,8 @@
 configure_file(lept.pc.cmake ${CMAKE_CURRENT_BINARY_DIR}/lept.pc @ONLY)
 install(FILES ${CMAKE_CURRENT_BINARY_DIR}/lept.pc DESTINATION lib/pkgconfig)
 install(FILES
-    ${CMAKE_BINARY_DIR}/LeptonicaConfig.cmake
-    ${CMAKE_BINARY_DIR}/LeptonicaConfig-version.cmake
+    ${CMAKE_CURRENT_BINARY_DIR}/LeptonicaConfig.cmake
+    ${CMAKE_CURRENT_BINARY_DIR}/LeptonicaConfig-version.cmake
     DESTINATION cmake)
 
 ###############################################################################
