=== prog/CMakeLists.txt ===
--- 
+++ 
@@ -39,6 +39,9 @@
 add_prog_target(blend5_reg blend5_reg.c)
 add_prog_target(boxa1_reg boxa1_reg.c)
 add_prog_target(boxa2_reg boxa2_reg.c)
+add_prog_target(boxa3_reg boxa3_reg.c)
+add_prog_target(boxa4_reg boxa4_reg.c)
+add_prog_target(bytea_reg bytea_reg.c)
 add_prog_target(ccthin1_reg ccthin1_reg.c)
 add_prog_target(ccthin2_reg ccthin2_reg.c)
 add_prog_target(cmapquant_reg cmapquant_reg.c)
@@ -85,6 +88,7 @@
 add_prog_target(heap_reg heap_reg.c)
 add_prog_target(insert_reg insert_reg.c)
 add_prog_target(ioformats_reg ioformats_reg.c)
+add_prog_target(iomisc_reg iomisc_reg.c)
 add_prog_target(italic_reg italic_reg.c)
 add_prog_target(jbclass_reg jbclass_reg.c)
 add_prog_target(jp2kio_reg jp2kio_reg.c)
@@ -139,6 +143,7 @@
 add_prog_target(skew_reg skew_reg.c)
 add_prog_target(smallpix_reg smallpix_reg.c)
 add_prog_target(smoothedge_reg smoothedge_reg.c)
+add_prog_target(speckle_reg speckle_reg.c)
 add_prog_target(splitcomp_reg splitcomp_reg.c)
 add_prog_target(string_reg string_reg.c)
 add_prog_target(subpixel_reg subpixel_reg.c)
@@ -146,6 +151,7 @@
 add_prog_target(threshnorm_reg threshnorm_reg.c)
 add_prog_target(translate_reg translate_reg.c)
 add_prog_target(warper_reg warper_reg.c)
+add_prog_target(watershed_reg watershed_reg.c)
 add_prog_target(webpio_reg webpio_reg.c)
 add_prog_target(wordboxes_reg wordboxes_reg.c)
 add_prog_target(writetext_reg writetext_reg.c)
@@ -161,7 +167,6 @@
 add_prog_target(bincompare bincompare.c)
 add_prog_target(blendcmaptest blendcmaptest.c)
 add_prog_target(buffertest buffertest.c)
-add_prog_target(byteatest byteatest.c)
 add_prog_target(ccbordtest ccbordtest.c)
 add_prog_target(cctest1 cctest1.c)
 add_prog_target(cleanpdf cleanpdf.c)
@@ -211,8 +216,9 @@
 add_prog_target(graymorphtest graymorphtest.c)
 add_prog_target(hashtest hashtest.c)
 add_prog_target(histotest histotest.c)
+add_prog_target(histoduptest histoduptest.c)
 add_prog_target(htmlviewer htmlviewer.c)
-add_prog_target(iotest iotest.c)
+add_prog_target(imagetops imagetops.c)
 add_prog_target(jbcorrelation jbcorrelation.c)
 add_prog_target(jbrankhaus jbrankhaus.c)
 add_prog_target(jbwords jbwords.c)
@@ -245,7 +251,9 @@
 add_prog_target(printsplitimage printsplitimage.c)
 add_prog_target(printtiff printtiff.c)
 add_prog_target(rbtreetest rbtreetest.c)
-add_prog_target(recog_bootnum recog_bootnum.c)
+add_prog_target(recog_bootnum1 recog_bootnum1.c)
+add_prog_target(recog_bootnum2 recog_bootnum2.c)
+add_prog_target(recog_bootnum3 recog_bootnum3.c)
 add_prog_target(recogsort recogsort.c)
 add_prog_target(recogtest1 recogtest1.c)
 add_prog_target(recogtest2 recogtest2.c)
@@ -253,6 +261,7 @@
 add_prog_target(recogtest4 recogtest4.c)
 add_prog_target(recogtest5 recogtest5.c)
 add_prog_target(recogtest6 recogtest6.c)
+add_prog_target(recogtest7 recogtest7.c)
 add_prog_target(reducetest reducetest.c)
 add_prog_target(removecmap removecmap.c)
 add_prog_target(renderfonts renderfonts.c)
@@ -263,12 +272,3 @@
 add_prog_target(runlengthtest runlengthtest.c)
 add_prog_target(scaleandtile scaleandtile.c)
 add_prog_target(scaletest1 scaletest1.c)
-add_prog_target(scaletest2 scaletest2.c)
-add_prog_target(seedfilltest seedfilltest.c)
-add_prog_target(seedspread_reg seedspread_reg.c)
-add_prog_target(settest settest.c)
-add_prog_target(sharptest sharptest.c)
-add_prog_target(sheartest sheartest.c)
-add_prog_target(showedges showedges.c)
-add_prog_target(skewtest skewtest.c)
-add_prog_target(sorttest sorttest.c)
