=== src/CMakeLists.txt ===
--- 
+++ 
@@ -40,7 +40,7 @@
     target_link_libraries       (leptonica ${JPEG_LIBRARY})
 endif()
 if (JP2K_FOUND)
-    target_include_directories  (leptonica PUBLIC ${JP2K_INCLUDE_DIR})
+    target_include_directories  (leptonica PUBLIC ${JP2K_INCLUDE_DIRS})
     target_link_libraries       (leptonica ${JP2K_LIBRARIES})
 endif()
 if (PNG_LIBRARY)
@@ -52,7 +52,7 @@
     target_link_libraries       (leptonica ${TIFF_LIBRARY})
 endif()
 if (WEBP_FOUND)
-    target_include_directories  (leptonica PUBLIC ${WEBP_INCLUDE_DIR})
+    target_include_directories  (leptonica PUBLIC ${WEBP_INCLUDE_DIRS})
     target_link_libraries       (leptonica ${WEBP_LIBRARIES})
 endif()
 if (ZLIB_LIBRARY)
