=== debian/changelog ===
leptonlib (1.78.0-2) unstable; urgency=medium

  * Remove imagetops binary (closes: #926313)

 -- Jeff Breidenbach <jab@debian.org>  Mon, 24 Jun 2019 13:22:19 -0700

leptonlib (1.78.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeff Breidenbach <jab@debian.org>  Fri, 22 Mar 2019 10:52:59 -0700
